/// <reference types="react" />
import Client from '@hiro-graph/client';
import { TimesereiesQuery, Timeseries, TimeseriesResult } from '../../hooks';
import { DataTimeseriesName, StatisticData } from '../../types';
export declare enum ViewType {
    overview = "OVERVIEW",
    graphView = "GRAPH_VIEW"
}
export declare enum ChartType {
    weekly = "weekly",
    monthly = "monthly",
    annual = "annual"
}
export declare const configureDifferenceText: (difference: number, differenceText: string, title: string) => string;
export declare const calculateAngle: (title: string, todayValue: number, difference: number) => number;
export declare function getStatsData(config: StatisticData, data: TimeseriesResult, viewType?: ViewType): StatisticData;
export declare function parseResult(result: TimeseriesResult): number[];
export declare function useStatisticsData(client: Client, name: DataTimeseriesName, { from, to, limit }: TimesereiesQuery): [TimeseriesResult, import("react").Dispatch<import("react").SetStateAction<TimesereiesQuery>>];
export declare function parseResultForChart(result: TimeseriesResult, parseFn: (item: Timeseries) => {
    name: string;
    value: number;
}): {
    name: string;
    value: number;
}[];
export declare function mapDaysRateForCharts(item: Timeseries): {
    name: string;
    value: number;
};
export declare function mapMonthsRateForCharts(item: Timeseries): {
    name: string;
    value: number;
};
export declare function mapYearsRateForCharts(item: Timeseries): {
    name: string;
    value: number;
};
export declare function createDaysArr(daysNumber?: number): number[];
export declare function createMonthsArr(monthsNumber?: number): number[];
export declare function createYearsArr(yearsNumber?: number): number[];
export declare function getWeeksRate(controlData: TimeseriesResult, controlDateList: number[]): {
    result: Timeseries[];
    loading: boolean;
    error: boolean;
};
export declare function getMonthsRate(controlData: TimeseriesResult, controlDateList: number[]): {
    result: Timeseries[];
    loading: boolean;
    error: boolean;
};
export declare function getYearsRate(controlData: TimeseriesResult, controlDateList: number[]): {
    result: {
        timestamp: number;
        value: string;
    }[];
    loading: boolean;
    error: boolean;
};
