var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { useWidgetContext } from '../../../context';
import { Statistic } from '../presenters/Statistic';
import { automationRate, automatedTasks, knowledgePool, } from '../data-templates';
import { getStatsData, useStatisticsData, ViewType } from '../StatisticsUtils';
import { getYesterdayMidnight } from '../../../utils';
export var StatisticsConversionController = function (_a) {
    var setView = _a.setView;
    var _b = useWidgetContext(), client = _b.client, title = _b.config.title;
    var dateNow = Date.now();
    var yesterdayStatDate = getYesterdayMidnight();
    var requestParams = {
        from: yesterdayStatDate,
        to: dateNow,
    };
    var kis = useStatisticsData(client, 'TotalKIs', requestParams)[0];
    var tasks = useStatisticsData(client, 'AutomatedTasks', requestParams)[0];
    var rate = useStatisticsData(client, 'AutomationRate', requestParams)[0];
    var statisticProps = {
        title: title || '',
        loading: kis.loading && tasks.loading && rate.loading,
        data: [
            getStatsData(automationRate, rate, ViewType.graphView),
            getStatsData(automatedTasks, tasks),
            getStatsData(knowledgePool, kis),
        ],
        setView: setView,
    };
    return React.createElement(Statistic, __assign({}, statisticProps));
};
