import React, { useMemo } from 'react';
import { Box, ProgressIndicator } from '../../../../elements';
import { useTheme } from '../../../../../theme';
import { TitleInformer } from '../../../shared/TitleInformer/TitleInformer';
import { DiffText, StatisticsColumn } from './styles';
var getColor = function (theme, colorScheme) {
    var color = colorScheme.color, greyScale = colorScheme.greyScale;
    return theme.colors[color][greyScale];
};
export var StatisticColumn = function (_a) {
    var title = _a.title, whatItIs = _a.whatItIs, howToImprove = _a.howToImprove, differenceText = _a.differenceText, angle = _a.angle, valueText = _a.valueText, valueColor = _a.valueColor, backgroundColor = _a.backgroundColor, error = _a.error, errorText = _a.errorText, setViewCallbackData = _a.setViewCallbackData;
    var theme = useTheme();
    var valueProgressColor = useMemo(function () { return getColor(theme, valueColor); }, [
        theme,
        valueColor,
    ]);
    var backgroundProgressColor = useMemo(function () { return getColor(theme, backgroundColor); }, [backgroundColor, theme]);
    return (React.createElement(StatisticsColumn, null,
        React.createElement(TitleInformer, { whatItIs: whatItIs, howToImprove: howToImprove, title: title }),
        error ? (React.createElement(Box, null, errorText)) : (React.createElement(React.Fragment, null,
            React.createElement(ProgressIndicator, { valueText: valueText, valueColor: valueProgressColor, backgroundColor: backgroundProgressColor, angle: angle, setViewData: setViewCallbackData }),
            React.createElement(DiffText, null, differenceText)))));
};
