var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var _a;
import React, { useState } from 'react';
import styled from 'styled-components';
import { DropDown } from '../../../shared/Dropdown';
import { Arrow } from '../../../../icons';
import { ChartType, ViewType } from '../StatisticsUtils';
import { Header, WidgetTitle } from '../../../shared';
import { StackedBarChart } from '../../../shared/StackedBarChart';
import { automationRate } from '../data-templates';
import { TitleInformer } from '../../../shared/TitleInformer/TitleInformer';
import { useTheme } from '../../../../../theme';
import { ChartWrapper, ControlWrapper, GoBackButton } from './styles';
var getReminder = function (value) {
    return 100 - value;
};
var TITLES = (_a = {},
    _a[ChartType.weekly] = 'Weekly Display',
    _a[ChartType.monthly] = 'Monthly Display',
    _a[ChartType.annual] = 'Annual Display',
    _a);
var DROPDOWN_DATA = [
    {
        title: TITLES[ChartType.weekly],
        callbackData: ChartType.weekly,
    },
    {
        title: TITLES[ChartType.monthly],
        callbackData: ChartType.monthly,
    },
    {
        title: TITLES[ChartType.annual],
        callbackData: ChartType.annual,
    },
];
var Child = function (_a) {
    var children = _a.children;
    return React.createElement("span", null, children);
};
var WrappedTitleInformer = styled(TitleInformer)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  text-align: left;\n  padding: 10px 30px 0px;\n  font-weight: bold;\n"], ["\n  text-align: left;\n  padding: 10px 30px 0px;\n  font-weight: bold;\n"])));
export var StatisticsBarWrapper = function (_a) {
    var title = _a.title, setView = _a.setView, rateData = _a.rateData;
    var colors = useTheme().colors;
    var _b = useState(ChartType.weekly), activeChart = _b[0], setActiveChart = _b[1];
    var dropdownTitle = TITLES[activeChart];
    var rateDataActiveChart = (rateData && rateData[activeChart]) || [];
    var stackedBarChartData = rateDataActiveChart.map(function (item) {
        return __assign(__assign({}, item), { from: getReminder(item.value) });
    }) || [];
    var barList = [
        {
            dataKey: 'value',
            fillColor: colors.primary.default,
        },
        {
            dataKey: 'from',
            fillColor: '#ececec',
        },
    ];
    return (React.createElement("div", null,
        React.createElement(Header, null,
            React.createElement(WidgetTitle, null, title),
            React.createElement(ControlWrapper, null,
                React.createElement(GoBackButton, { color: "secondaryText", onClick: function () { return setView(ViewType.overview); }, title: "Return to Statistics view" },
                    React.createElement(Arrow, { width: 16, height: 16 })),
                React.createElement(DropDown, { callback: setActiveChart, selected: dropdownTitle, OptionChildren: Child, options: DROPDOWN_DATA })),
            React.createElement(WrappedTitleInformer, __assign({}, automationRate)),
            React.createElement(ChartWrapper, null,
                React.createElement(StackedBarChart, { dataList: stackedBarChartData, barList: barList })))));
};
var templateObject_1;
